<?php

function auswertung(){
    if ($_POST["vSpeise"] == ""
        && $_POST["hSpeise"] == ""
        && $_POST["nSpeise"] == ""
        && $_POST["getraenk"] == "") {
            echo "<p> Sie haben nichts ausgewählt. Bitte wählen Sie";
        }
    else {
        echo "<h3>Vielen Dank für Ihre Bestellung.</h3>";
        echo "<p> Sie wählten:</p>\n";
        echo "<ul>\n";

        if($_POST["vSpeise"] != "") {
            echo "<li>Vorspeise: {$_POST['vSpeise']}</li>";
        }

        if($_POST["hSpeise"] != "") {
            echo "<li>Hauptspeise: {$_POST['hSpeise']}</li>";
        }

        if($_POST["nSpeise"] != "") {
            echo "<li>Dessert: {$_POST['nSpeise']}</li>";
        }
        if($_POST["getraenk"] != "") {
            echo "<li>Getränk: {$_POST['getraenk']}</li>";
        }
        echo "</ul>\n";
    }
} 
?>

<?php
if (isset($_POST["vSpeise"])) {
    $gaststatus = $_POST["gastStatus"];
}
else {
    $gaststatus = "";
}
?>